python-django-yauth (5.3) testing; urgency=low

  * VACANCIES-865: user_ticket blackbox method support

 -- Mikhail Generalov <hallucinite@yandex-team.ru>  Mon, 3 Jan 2022 13:26:50 +0300

python-django-yauth (5.2) testing; urgency=low

  * STAFF-15297: Consistent log level across TVM mechanism

 -- Denis Podgorodnichenko <denis-p@yandex-team.ru>  Fri, 2 Jul 2021 13:09:41 +0300

python-django-yauth (5.1) testing; urgency=low

  * COMMONPY-294 Возможность получить статус у tvm клиента

 -- Vladimir Koljasinskij <smosker@yandex-team.ru>  Tue, 27 Apr 2021 13:34:41 +0300

python-django-yauth (5.00) testing; urgency=low

  * PASSP-31314 поддержка использования tvmauth в tvm2 библиотеке
  * COMMONPY-196 отключение oauth по умолчанию

 -- Vladimir Koljasinskij <smosker@yandex-team.ru>  Mar, 22 Aug 2021 14:34:41 +0300

python-django-yauth (4.12) testing; urgency=low

  * COMMONPY-222 позволяем получить у yauser исходные tvm2 тикеты

 -- Vladimir Koljasinskij <smosker@yandex-team.ru>  Fri, 16 Aug 2019 14:34:41 +0300

python-django-yauth (4.10) testing; urgency=low

  * Поправлены ручки обновления кук. Расширен список паспортных tld

 -- Vitaly Sopov <v-sopov@yandex-team.ru>  Fri, 29 Mar 2019 16:11:35 +0300

 python-django-yauth (4.9) testing; urgency=low

  * Revert "Make username logging in HTTP logs more simple (#68)"

 -- Vladimir Koljasinskij <smosker@yandex-team.ru>  Thu, 6 Feb 2019 17:44:41 +0300

python-django-yauth (4.8) testing; urgency=low

  * FORMS-3286 Позволяем переопределить класс пользователя для tvm2 механизма #71

 -- Vladimir Koljasinskij <smosker@yandex-team.ru>  Thu, 6 Feb 2019 15:51:41 +0300

python-django-yauth (4.7) testing; urgency=low

  * Исправление опечатки

 -- Anton Chaporgin <chapson@yandex-team.ru>  Fri, 24 Sep 2018 11:25:41 +0300

python-django-yauth (4.6) testing; urgency=low

  * TOOLS-2225 Ходим в blackbox используя сервисные tvm2 тикеты

 -- Vladimir Koljasinskij <smosker@yandex-team.ru>  Fri, 27 Jul 2018 11:25:41 +0300

python-django-yauth (4.5) unstable; urgency=low

  [ Vladimir Koljasinskij ]
  * Исправлены тесты TVM

  [ Kirill Sibirev ]
  * Development auth backends

 -- Kirill Sibirev <sibirev@yandex-team.ru>  Fri, 27 Apr 2018 13:56:14 +0300

python-django-yauth (4.4) testing; urgency=low

   WIKI-10735 правка работы с tvm2

 -- Vladimir Koljasinskij <smosker@yandex-team.ru>  Wed, 7 Feb 2018 16:25:41 +0300

python-django-yauth (4.3) testing; urgency=low

   Добавлены паспортные алиасы

 -- Ales Mikholap <carabas@yandex-team.ru>  Tue, 09 Jan 2018 18:56:00 +0300

python-django-yauth (4.2) testing; urgency=low

   WIKI-10462 правка заголовков

 -- Vladimir Koljasinskij <smosker@yandex-team.ru>  Wed, 29 Nov 2017 12:26:41 +0300

python-django-yauth (4.1) testing; urgency=low

   WIKI-10462 реализована поддержка tvm2
   доступна авторизация по сервисным и персонализированным тикетам
   обновлена документация

 -- Vladimir Koljasinskij <smosker@yandex-team.ru>  Thu, 23 Nov 2017 18:17:41 +0300

python-django-yauth (4.0) testing; urgency=low

  совместимо с 3.x
  Добавлена поддержка AUTHENTICATION_BACKENDS джанги
  Поддержана django 1.11
  добавлена мидлварь YandexAuthBackendMiddleware совместимая с AUTHENTICATION_BACKENDS
  отредактирована документация

 -- Anton Chaporgin <chapson@yandex-team.ru>  Mon, 19 Jul 2017 16:26:41 +0300

python-django-yauth (3.66) unstable; urgency=low

  [ Eldar T. Zaitov ]
  * fix backward compatibility for non-tvm projects

 -- Kirill Sibirev <sibirev@yandex-team.ru>  Mon, 03 Jul 2017 16:26:41 +0300

python-django-yauth (3.65) precise; urgency=low

  * WIKI-10066 получение tvm-тикета

 -- Yuri Nediuzhin <yurgis@yandex-team.ru>  Wed, 24 May 2017 16:15:34 +0300

python-django-yauth (3.64) precise; urgency=low

  * Настройка YAUTH_HOST_HEADER, позволяющая переопределить заголовок, по которому вычисляется Host, отправляемый в BB

 -- Oleg Gulyaev <o-gulyaev@yandex-team.ru>  Thu, 09 Mar 2017 15:55:34 +0300

python-django-yauth (3.63) precise; urgency=low

  * YAUTH_OAUTH_AUTHORIZATION_SCOPES set -> list

 -- Alexander Lavrukov <lavrukov@yandex-team.ru>  Mon, 28 Nov 2016 21:16:17 +0300

python-django-yauth (3.62) precise; urgency=low

  * Проверка oauth scopes
  * YandexUserDescriptor refactoring

 -- Alexander Lavrukov <lavrukov@yandex-team.ru>  Mon, 28 Nov 2016 15:21:00 +0300

python-django-yauth (3.61) unstable; urgency=low

  [ Sergey Kryzhanovsky ]
  * Добавлен тестовый pass в окружение intranet-testing

 -- Sergey Kryzhanovsky <another@yandex-team.ru>  Thu, 23 Nov 2016 16:45:09 +0300

python-django-yauth (3.60) unstable; urgency=low

  * FORMS-974: Переехать на Django 1.9

 -- Kirill Dunaev <kdunaev@dev1f.tech.os.yandex.ru>  Fri, 18 Nov 2016 11:52:13 +0300

python-django-yauth (3.59) unstable; urgency=low

  [ Sergey Kryzhanovsky ]
  * Добавлено окружение intranet-testing

 -- Sergey Kryzhanovsky <another@yandex-team.ru>  Thu, 16 Nov 2016 18:45:09 +0300

python-django-yauth (3.58) unstable; urgency=low

  [ Oleg Gulyaev ]
  * Настраиваемый список проверяемых HTTP-заголовков при выяснении реального пользовательского IP

 -- Oleg Gulyaev <o-gulyaev@yandex-team.ru>  Mon, 17 Oct 2016 19:58:22 +0300

python-django-yauth (3.57) unstable; urgency=low

  [ Alexey Lavrenyuk ]
  * Update models.py

  [ Dmitry Terrov ]
  * django.conf.urls.patterns was removed in django-1.10
  * request.REQUEST was removed in django-1.9

 -- Dmitry Terrov <terrmit@yandex-team.ru>  Tue, 16 Aug 2016 11:14:39 +0300

python-django-yauth (3.56) unstable; urgency=low

  * TOOLS-1898: Перейти на новое апи для подновления авторизационных кук в статусе NEED_RESET

 -- Alex Koshelev <alexkoshelev@yandex-team.ru>  Wed, 22 Jun 2016 01:51:57 +0300

python-django-yauth (3.55) unstable; urgency=low

  [ Sergey Kovalev ]
  * Add passport verify action

  [ Kirill Dunaev ]
  * При создании экземпляра YandexUser аргумент authinfo передается не туда
  * Итерация с именованными параметрами

 -- Kirill Dunaev <kdunaev@yandex-team.ru>  Fri, 13 May 2016 17:28:38 +0300

python-django-yauth (3.54) unstable; urgency=low

  [ Sergey Kovalev ]
  * Amend readme

  [ Mikhail Polykovskij ]
  * Django 1.9

  [ another ]
  * STAFF-6290: не валидировать OAuth-токен

  [ Alex Koshelev ]
  * Переход на robe 1.0

 -- Alex Koshelev <alexkoshelev@yandex-team.ru>  Wed, 23 Mar 2016 10:39:35 +0300

python-django-yauth (3.53) unstable; urgency=low

  [ Никита Зубков ]
  * fix NameError in middleware

 -- Alex Koshelev <alexkoshelev@yandex-team.ru>  Fri, 13 Mar 2015 14:46:20 +0300

python-django-yauth (3.52) unstable; urgency=low

  [ Alexander Koshelev ]
  * Фикс readme

  [ Nikita Zubkov ]
  * Принимаем в заголовке Authorization любой префикс

 -- Alex Koshelev <alexkoshelev@yandex-team.ru>  Thu, 12 Mar 2015 19:24:08 +0300

python-django-yauth (3.51) unstable; urgency=low

  [ Serge Yaskevich ]
  * Fix open redirect issue.

 -- Alex Koshelev <alexkoshelev@yandex-team.ru>  Fri, 13 Feb 2015 12:46:04 +0300

python-django-yauth (3.50) unstable; urgency=low

  * Фикс редиректа для неаутентифицированных

 -- Alex Koshelev <alexkoshelev@yandex-team.ru>  Tue, 20 Jan 2015 08:36:33 +0300

python-django-yauth (3.49) unstable; urgency=low

  * Возможность поставить YAUTH_TEST_USER в False для анонимного пользователя
  * Не делаем редирект если был oauth

 -- Alex Koshelev <alexkoshelev@yandex-team.ru>  Mon, 22 Dec 2014 00:09:49 +0300

python-django-yauth (3.48) unstable; urgency=low

  [ Serge Yaskevich ]
  * If user has no grants, passport can return non-xml document, causing ET.ParseError.
  * Translate error message into english.
  * Catch only ElementTree.ParseError.

  [ Kirill Sibirev ]
  * New AuthRequired exception

  [ Serge Yaskevich ]
  * Remove fallback to elementtree (wordked  for python  < 2.5).

  [ Alex Koshelev ]
  * Наследуем YandexAuthMiddleware от object
  * Запуск тестов через py.test
  * Добавлена YandexAuthTestMiddleware для использования в тестах

 -- Alex Koshelev <alexkoshelev@yandex-team.ru>  Mon, 08 Dec 2014 15:35:26 +0300

python-django-yauth (3.47) unstable; urgency=low

  * Корректно создаем объект user, когда у пользователя нету email

 -- Alex Koshelev <alexkoshelev@yandex-team.ru>  Wed, 29 Oct 2014 18:36:38 +0300

python-django-yauth (3.46) unstable; urgency=low

  * Refactored YandexAuthMiddleware: extracted method asign_user

 -- Kirill Sibirev <sibirev@yandex-team.ru>  Tue, 28 Oct 2014 13:20:08 +0300

python-django-yauth (3.45) unstable; urgency=low

  * Вернул current_host и current_url с deprication предупреждением

 -- Alex Koshelev <alexkoshelev@yandex-team.ru>  Fri, 03 Oct 2014 09:26:47 +0400

python-django-yauth (3.44) unstable; urgency=low

  * Подключил robe для тестов
  * Не используем exception.message
  * Используем https в тестах
  * Не теряем порт в url'е
  * Убил account урл
  * Использование /resign? для refresh урла

 -- Alex Koshelev <alexkoshelev@yandex-team.ru>  Mon, 29 Sep 2014 16:05:45 +0400

python-django-yauth (3.43) unstable; urgency=low

  [ Ales Mikhalap ]
  * utils.current_url: Don't use port from SERVER_PORT

  [ Vladimir Moskva ]
  * TOOLS-1702 Использовать только https-адреса паспорта
  * TOOLS-1702 Исправил некоторые адреса паспорта

  [ Alexander Koshelev ]
  * Обновил в readme информацию про пакеты
  * Портирование дебианизации под сборку для trusty

 -- Alex Koshelev <alexkoshelev@yandex-team.ru>  Sun, 07 Sep 2014 23:18:41 +0400

python-django-yauth (3.42) unstable; urgency=low

  [ Serge Yaskevich ]
  * Warn if blackbox response contains errors.

  [ fantom ]
  * update current_url to accept cyrillic symbols.

  [ Vladimir Moskva ]
  * PASSP-6829 Поддержка формы доввода пароля в паспорте
  * Не требуется sessionid2 для OAuth-аутентификации

 -- Alex Koshelev <alexkoshelev@yandex-team.ru>  Fri, 08 Aug 2014 15:42:00 +0400

python-django-yauth (3.41) unstable; urgency=low

  * Зависимость от blackbox 0.47

 -- Alex Koshelev <alexkoshelev@yandex-team.ru>  Thu, 17 Jul 2014 15:22:46 +0400

python-django-yauth (3.40) unstable; urgency=low

  * Зависимость от свежего blackbox в setup.py

 -- Alex Koshelev <alexkoshelev@yandex-team.ru>  Wed, 16 Jul 2014 16:03:50 +0400

python-django-yauth (3.39) unstable; urgency=low

  * Выбор поля yauser для соответствия User.USERNAME_FIELD
  * Заполнение дополнительных полей User при его создании

 -- Ales Mikhalap <carabas@yandex-team.ru>  Thu, 05 Jun 2014 10:47:01 +0000

python-django-yauth (3.38) unstable; urgency=low

  * depends python-blackbox (>= 0.46)

 -- elisei <elisei@yandex-team.ru>  Thu, 22 May 2014 11:09:07 +0400

python-django-yauth (3.37) unstable; urgency=low

  * Проверка sessionid2

 -- elisei <elisei@yandex-team.ru>  Wed, 21 May 2014 21:44:20 +0400

python-django-yauth (3.36) unstable; urgency=low

  * Перенести запросы с passport.yandex.ru на passport-internal.yandex.ru (AFISHA-3835)

 -- Ruslan Grokhovetskiy <ruguevara@yandex-team.ru>  Wed, 23 Apr 2014 19:38:00 +0600

python-django-yauth (3.35) unstable; urgency=low

  * Автоопределение yenv

 -- Alex Koshelev <alexkoshelev@yandex-team.ru>  Thu, 13 Feb 2014 16:53:58 +0400

python-django-yauth (3.34-1) unstable; urgency=low

  * Фикс номера версии в setup.py

 -- Alex Koshelev <alexkoshelev@yandex-team.ru>  Fri, 17 Jan 2014 18:12:16 +0400

python-django-yauth (3.34) unstable; urgency=low

  * Опциональное использование OAuth. YAUTH_USE_OAUTH
  * Фикс fallback'а на старые настройки
  * Ещё больше warning'ов о старых настройках

 -- Alex Koshelev <alexkoshelev@yandex-team.ru>  Fri, 17 Jan 2014 17:57:51 +0400

python-django-yauth (3.33) unstable; urgency=low

  * Починка и рефакторинг тестов
  * Убрал настройку TEST_PASSPORT_DOMAIN
  * Убрал настройку VALIDATOR_URL
  * Удалил настройку SUBSCRIBE_WITH_TEST_PASSPORT
  * Переименование некоторых настроек и добавление префикса YAUTH_
  * Убрал depricated настройки
  * Фикс YandexUser дескриптора
  * Правильный install_requires
  * Сборка на dh7
  * Python >= 2.6
  * Обновил .gitignore
  * Поддержка OAuth

 -- Alex Koshelev <alexkoshelev@yandex-team.ru>  Wed, 15 Jan 2014 18:30:06 +0400

python-django-yauth (3.32) unstable; urgency=low

  * Работаем с кастомной User моделью

 -- Alex Koshelev <alexkoshelev@yandex-team.ru>  Mon, 02 Dec 2013 22:46:03 +0400

python-django-yauth (3.31-1) unstable; urgency=low

  * Правильная версия в setup.py

 -- Alex Koshelev <alexkoshelev@yandex-team.ru>  Mon, 30 Sep 2013 14:22:20 +0400

python-django-yauth (3.31) unstable; urgency=low

  * Анонимный request.user если не нашли в базе
  * Зависимость от python-central

 -- Alex Koshelev <alexkoshelev@yandex-team.ru>  Fri, 27 Sep 2013 18:54:58 +0400

python-django-yauth (3.30) unstable; urgency=low

  * Пробуем вытащить настоящий IP-адрес клиента
  * Проброс куки yandexuid в logout_url (PASSP-1879)

 -- Leonid Shvechikov <shvechikov@yandex-team.ru>  Thu, 07 Mar 2013 17:06:01 +0400

python-django-yauth (3.29) unstable; urgency=low

  * Фикс дескрипторов
  * Фикс опечатки

 -- Alex Koshelev <alexkoshelev@yandex-team.ru>  Tue, 12 Feb 2013 08:37:26 +0400

python-django-yauth (3.28) unstable; urgency=low

  * Специальная вьюха создающая профиль/пользователя и редиректы на неё

 -- Alex Koshelev <alexkoshelev@yandex-team.ru>  Mon, 11 Feb 2013 20:04:29 +0400

python-django-yauth (3.27) unstable; urgency=low

  * Новая YandexAuthRequiredMiddleware, требующая аутентификации ото
    всех

 -- Alex Koshelev <alexkoshelev@yandex-team.ru>  Wed, 16 Jan 2013 15:05:20 +0400

python-django-yauth (3.26) unstable; urgency=low

  [ Dmitry Panteleev ]
  * Имена кук в настройках
  * Use cookie names from settings

 -- Andrew Grigorev <ei-grad@yandex-team.ru>  Mon, 24 Dec 2012 17:40:13 +0400

python-django-yauth (3.25) unstable; urgency=low

  * переименовал README в README.md для лучшего отображения на github
  * добавил в README линк на wiki-страницу
  * [@web-chib] идея с избавлением от лишнего select неудачна при
    использовании master/slave

 -- Andrew Grigorev <ei-grad@yandex-team.ru>  Mon, 16 Jul 2012 03:22:49 +0400

python-django-yauth (3.24) unstable; urgency=low

  [ Andrew Grigorev ]
  * добавил в README пункт про CREATE_USER_ON_ACCESS
  * используем get_or_create для CREATE_USER_ON_ACCESS
  * Поправил debian/control

  [ Chibisov Gennady ]
  * переписал создание профиля с метода 'create' на 'get_or_create'

 -- Andrew Grigorev <ei-grad@yandex-team.ru>  Fri, 13 Jul 2012 21:04:53 +0400

python-django-yauth (3.23) unstable; urgency=low

  * bugfix: в Django 1.4 ломается админка на просмотре пользователя с пустым
    паролем.

 -- Andrew Grigorev <ei-grad@yandex-team.ru>  Thu, 05 Jul 2012 20:14:48 +0400

python-django-yauth (3.22) unstable; urgency=low

  * [dpantele@] Приведение в соответствие с  http://wiki.yandex-team.ru/passport/MDAintro

 -- Dmitry Kovega <arhibot@yandex-team.ru>  Mon, 25 Jun 2012 17:03:21 +0400

python-django-yauth (3.21) unstable; urgency=low

  * записываем default_email пользователя при автоматическом создании

 -- Andrew Grigorev <ei-grad@yandex-team.ru>  Fri, 16 Mar 2012 15:51:23 +0400

python-django-yauth (3.20) unstable; urgency=low

  * добавил возможность неявного создания пользователей отсутствующих в базе

 -- Andrew Grigorev <ei-grad@yandex-team.ru>  Mon, 12 Mar 2012 21:36:46 +0400

python-django-yauth (3.19) unstable; urgency=low

  * добавил в test_current_url переопределение порта на 443й для проверки
    https

 -- Andrew Grigorev <ei-grad@yandex-team.ru>  Wed, 18 Jan 2012 12:09:05 +0000

python-django-yauth (3.18) unstable; urgency=low

  * исправил ошибку с тем что request.META["SERVER_PORT"] это int

 -- Andrew Grigorev <ei-grad@yandex-team.ru>  Wed, 18 Jan 2012 11:52:34 +0000

python-django-yauth (3.17) unstable; urgency=low

  * в current_url дописываем порт к урлу если порт не стандартный
  * добавил csrf_token в дефолтный шаблон формы входа в админку

 -- Andrew Grigorev <ei-grad@yandex-team.ru>  Wed, 18 Jan 2012 11:09:40 +0000

python-django-yauth (3.16) unstable; urgency=low

  * Правильный путь до турецкого паспорта

 -- Dmitry Kovega <arhibot@yandex-team.ru>  Tue, 10 Jan 2012 15:26:55 +0400

python-django-yauth (3.15) unstable; urgency=low

  * yauth научился редиректить на passport.yandex.com
  * Теперь ф-ции get_passport_url и get_passport_host зависят от request
  * Новая переменная в контексте шаблонов: passport_host
    python-django-lego2 умеет ей пользоваться и проставлять правильные ссылки
    до паспорта в лего-шапке
  * отрефакторил тесты
    - почти везде использую RequestFactory
    - изменение сеттингов и вкл/выкл приложения Site вынес в context manager

 -- Konstantin Merenkov <kmerenkov@yandex-team.ru>  Thu, 24 Nov 2011 16:57:01 +0300

python-django-yauth (3.14) unstable; urgency=low

  * параметр YAUTH_USE_SITES для отключения использования contrib.sites

  * В декораторе @yalogin_required сделана защита от повторных редиректов в
    Паспорт:
      1. В retpath для Паспорта добавляется query-параметр ?_yauth=1.
      2. Редирект в Паспорт происходит только если этого параметра нет.
      3. Если авторизация успешна (куки в порядки и блекбокс сказал окей),
         происходит редирект на текущий url, но без параметра _yauth.
      4. Если что-то пошло не так (нет куки, ошибка блекбокса), отдаётся
         403 Forbidden. При DEBUG = True выдача дополняется отладочной
         информацией про блекбокс или куку.

  * Шаблон admin/login.html теперь состоит из одной кнопки "Log in"
    (раньше были поля пользователь и пароль). Возможно, надо весь шаблон
    заменить на JavaScript-код, который будет перенаправлять в Паспорт.
    (Чтобы не возиться с наследованием от AdminSite).

  * README дополнено и исправлено по итогам прикручивания django_yauth:
            - внутренняя и внешняя авторизация
            - настройка авторизации в админке
            - настройка blackbox
            - и т.д.

  * Сделаны тесты для @yalogin_required; исправлены и дополнены тесты
    для util.current_url; в runtests.py можно указывать запускаемый тест.

 -- Alexey Shamrin <ashamrin@yandex-team.ru>  Wed, 16 Nov 2011 12:59:48 +0400

python-django-yauth (3.13) unstable; urgency=low

  * Боремся с манкипатчингом blackbox'а

 -- Leonid Shvechikov <shvechikov@yandex-team.ru>  Tue, 08 Nov 2011 00:18:33 +0400

python-django-yauth (3.12) unstable; urgency=low

  * Оторвал зависимость от python-ylog

 -- Alex Koshelev <alexkoshelev@yandex-team.ru>  Tue, 04 Oct 2011 18:43:11 +0400

python-django-yauth (3.11) unstable; urgency=low

  * Совместимость со старым blackbox

 -- Dmitry Kovega <arhibot@yandex-team.ru>  Mon, 27 Jun 2011 16:53:26 +0400

python-django-yauth (3.10) unstable; urgency=low

  * Новый интерфейс blackbox

 -- Dmitry Kovega <arhibot@yandex-team.ru>  Fri, 24 Jun 2011 17:21:19 +0400

python-django-yauth (3.9) unstable; urgency=low

  * Отвязываем от django_errorlog

 -- Dmitry Kovega <arhibot@yandex-team.ru>  Wed, 01 Jun 2011 19:03:59 +0400

python-django-yauth (3.8) unstable; urgency=low

  * Добавлен метод is_social

 -- Dmitry Kovega <arhibot@yandex-team.ru>  Wed, 18 May 2011 20:30:34 +0400

python-django-yauth (3.7) unstable; urgency=low

  * Теперь у blackbox все ошибки заворачиваются в BlackboxError, поэтому
    ловить надо их а не URLError

 -- Konstantin Merenkov <kmerenkov@yandex-team.ru>  Wed, 11 May 2011 14:15:49 +0400

python-django-yauth (3.6) unstable; urgency=low

  * для внутреннего паспорта в контексте не отдаётся register_url
  * написал тесты на current_host, current_url
  * написал тест контекста при YAUTH_TYPE = 'intranet'
  * в current_url схема определяется не os.environ['HTTPS'] == 'on'
    а request.is_secure()

 -- Konstantin Merenkov <kmerenkov@yandex-team.ru>  Mon, 18 Apr 2011 13:38:12 +0400

python-django-yauth (3.5) unstable; urgency=low

  * current_host без включённого django.contrib.sites отдаёт хост без порта

 -- Konstantin Merenkov <kmerenkov@yandex-team.ru>  Mon, 18 Apr 2011 13:24:28 +0400

python-django-yauth (3.4) unstable; urgency=low

  * Добавлен параметр YAUTH_TYPE для генерации правильных путей на паспорт

 -- Dmitry Kovega <arhibot@yandex-team.ru>  Mon, 28 Mar 2011 15:45:11 +0400

python-django-yauth (3.3) unstable; urgency=low

  * зависимость от python-django-snapshot замененна на python-django
  * убрана зависимость от django-template-common (шапки рисуются Легой)

 -- Ivan Sagalaev <isagalaev@yandex-team.ru>  Thu, 09 Dec 2010 13:02:32 +0300

python-django-yauth (3.2) unstable; urgency=low

  * прокидка дополнительных параметров в blacbox. в частности получение списка
    почтовых адресов

 -- Alex Koshelev <alexkoshelev@yandex-team.ru>  Wed, 24 Nov 2010 23:24:41 +0300

python-django-yauth (3.1) unstable; urgency=low

  * Неявное содание кастомных профилей (привязанных к yauser) настраивается в настройках.

 -- bibilov <bibilov@yandex-team.ru>  Wed, 08 Sep 2010 15:08:51 +0400

python-django-yauth (3.0) unstable; urgency=low

  * Декоратор yalogin_required квотит урл передаваемый паспорту в retpath

 -- Konstantin Merenkov <kmerenkov@yandex-team.ru>  Fri, 13 Aug 2010 19:35:48 +0400

python-django-yauth (2.2-1) unstable; urgency=low

  * Зависимость от правильной версии python-blackbox

 -- Alex Koshelev <alexkoshelev@yandex-team.ru>  Mon, 21 Jun 2010 18:03:40 +0400

python-django-yauth (2.2) unstable; urgency=low

  * Поддержка lite-пользователей

 -- Alex Koshelev <alexkoshelev@yandex-team.ru>  Mon, 21 Jun 2010 02:05:22 +0400

python-django-yauth (2.1-1) unstable; urgency=low

  * убиваем ненужный postinst скрипт

 -- Alex Koshelev <alexkoshelev@yandex-team.ru>  Tue, 01 Jun 2010 18:07:27 +0400

python-django-yauth (2.1) unstable; urgency=low

  * При недоступном blackbox пользователя считаем анонимным и кидаем ворнинг

 -- Alex Koshelev <alexkoshelev@yandex-team.ru>  Tue, 01 Jun 2010 14:53:25 +0400

python-django-yauth (2.0) unstable; urgency=low

  * Работает теперь только через blackbox
  * Избавление от corba
  * Избавление от бекэнда для доменной авторизации
  * У yauser больше нет authinfo
  * profile.yauser содержит в себе поля из blackbox
  * переход на cdbs для сборки пакета

 -- Alex Koshelev <alexkoshelev@yandex-team.ru>  Tue, 31 May 2010 15:20:07 +0400

python-django-yauth (1.2) unstable; urgency=low

  * Пересобрал пакет под древрей убунтой

 -- Konstantin Merenkov <kmerenkov@yandex-team.ru>  Fri, 23 Apr 2010 17:46:05 +0400

python-django-yauth (1.1) unstable; urgency=low

  * Выбирать хост из request'а, если contrib.sites не установлен

 -- Ivan Sagalaev <isagalaev@yandex-team.ru>  Tue, 06 Apr 2010 19:30:58 +0400

python-django-yauth (1.0) unstable; urgency=low

  * Отрывание validated_emails и email у юзера, теперь нужно использовать whitebox.emails

 -- Ivan Sagalaev <isagalaev@yandex-team.ru>  Tue, 10 Nov 2009 19:31:24 +0300

python-django-yauth (0.25) unstable; urgency=low

  * Наследование HTTP backend'а от стандартного ModelBackend, чтобы permission'ы работали

 -- Ivan Sagalaev <isagalaev@yandex-team.ru>  Tue, 07 Apr 2009 18:01:17 +0400

python-django-yauth (0.24) unstable; urgency=low

  * Добавлены dummy атрибуты для анонимного пользователя

 -- Alex Koshelev <alexkoshelev@yandex-team.ru>  Mon, 16 Feb 2009 14:40:07 +0300

python-django-yauth (0.23) unstable; urgency=low

  * Не дергание бэкенда авторизации в отсутствие куки Session_id

 -- Ivan Sagalaev <isagalaev@yandex-team.ru>  Fri, 23 Jan 2009 15:38:50 +0300

python-django-yauth (0.22) unstable; urgency=low

  * Импорт elementtree из xml.etree для python2.5

 -- Ivan Sagalaev <isagalaev@yandex-team.ru>  Wed, 10 Dec 2008 15:00:08 +0300

python-django-yauth (0.21.3) unstable; urgency=low

  * Зависимость от omniidl4-python

 -- Ivan Sagalaev <isagalaev@yandex-team.ru>  Mon, 08 Dec 2008 19:32:50 +0300

python-django-yauth (0.21.2) unstable; urgency=low

  * Зависимость от yandex-python-ycorba

 -- Ivan Sagalaev <isagalaev@yandex-team.ru>  Fri, 17 Oct 2008 16:24:06 +0400

python-django-yauth (0.21.1) unstable; urgency=low

  * Явная зависимость от новой версии python-django-snapshot

 -- Ivan Sagalaev <isagalaev@yandex-team.ru>  Thu, 02 Oct 2008 13:58:59 +0400

python-django-yauth (0.21) unstable; urgency=low

  * Отключение по умолчанию входа в админку по яндексовой залогиненности
  * Переработка документации

 -- Ivan Sagalaev <isagalaev@yandex-team.ru>  Mon, 29 Sep 2008 17:14:48 +0400

python-django-yauth (0.20) unstable; urgency=low

  * Доменная авторизация

 -- Vladimir Epifanov <voldmar@yandex-team.ru>  Mon, 29 Sep 2008 15:18:23 +0400

python-django-yauth (0.19) unstable; urgency=low

  * Перевод на python-support

 -- Ivan Sagalaev <isagalaev@yandex-team.ru>  Thu, 25 Sep 2008 17:57:20 +0400

python-django-yauth (0.18) unstable; urgency=low

  * Апдейт для Django 1.0beta2

 -- Ivan Sagalaev <isagalaev@yandex-team.ru>  Fri, 29 Aug 2008 18:47:35 +0400

python-django-yauth (0.17) unstable; urgency=low

  * Автологин request.user по соответствующему request.yauser

 -- Ivan Sagalaev <isagalaev@yandex-team.ru>  Wed, 30 Apr 2008 12:57:01 +0400

python-django-yauth (0.16) unstable; urgency=low

  * Мимикрия Паспорта в ссылке на регистрацию
  * Генерация stub'ов в postinst

 -- Ivan Sagalaev <isagalaev@yandex-team.ru>  Mon, 28 Apr 2008 20:43:05 +0400

python-django-yauth (0.15) unstable; urgency=low

  * Подписка юзеров к сервисам

 -- Ivan Sagalaev <isagalaev@yandex-team.ru>  Thu, 24 Apr 2008 17:22:36 +0400

python-django-yauth (0.14) unstable; urgency=low

  * Исправленное получение email'ов от Валидатора

 -- Vladimir Epifanov <voldmar@yandex-team.ru>  Thu, 27 Mar 2008 12:22:05 +0000

python-django-yauth (0.13) unstable; urgency=low

  * REGISTER_URL

 -- Ivan Sagalaev <isagalaev@yandex-team.ru>  Fri, 18 Jan 2008 16:09:16 +0300

python-django-yauth (0.12) unstable; urgency=low

  * Тег {% login_form %}: всплывающее окно авторизации

 -- Ivan Sagalaev <isagalaev@yandex-team.ru>  Fri, 11 Jan 2008 18:51:29 +0300

python-django-yauth (0.11) unstable; urgency=low

  * Добавление шаблонов, CSS'ов и стабов в setup.py

 -- Ivan Sagalaev <isagalaev@yandex-team.ru>  Tue, 18 Dec 2007 15:54:20 +0300

python-django-yauth (0.10) unstable; urgency=low

  * Исправление слова "class" в шаблоне

 -- Ivan Sagalaev <isagalaev@yandex-team.ru>  Mon, 17 Dec 2007 16:07:56 +0300

python-django-yauth (0.9) unstable; urgency=low

  * Поддержка whitebox'а.
  * По умолчанию используется whitebox.
  * Появился тег {% yauth %}
  * Фильтр username переехал в templates_common

 -- Vladimir Epifanov (Communication services) <voldmar@yandex-team.ru>  Thu, 06 Dec 2007 13:20:19 +0300

python-django-yauth (0.8.1) unstable; urgency=low

  * Приведение current_url к байтовой строке, чтобы не ломаться при формировнаии retpath

 -- Ivan Sagalaev <isagalaev@yandex-team.ru>  Wed, 05 Dec 2007 16:23:29 +0300

python-django-yauth (0.8) unstable; urgency=low

  * Адресный импорт auth_idl вместо Yandex

 -- Ivan Sagalaev <isagalaev@yandex-team.ru>  Fri, 02 Nov 2007 19:38:13 +0300

python-django-yauth (0.7) unstable; urgency=low

  * использование предгенеренных стабов вместо рантаймового запуска omniidl
  * использование i.yandex.ru в качестве страницы пользователя
  * более современный is_ajax

 -- Ivan Sagalaev <isagalaev@yandex-team.ru>  Fri, 02 Nov 2007 15:58:39 +0300

python-django-yauth (0.6.1) unstable; urgency=low

  * ycorba не импортироуется, если это не нужно

 -- Andrey Tatarinov <elephantum@yandex-team.ru>  Fri, 26 Oct 2007 16:34:27 +0400

python-django-yauth (0.6) unstable; urgency=low

  * зависимость от yandex-python2.4-ycorba

 -- Andrey Tatarinov <elephantum@yandex-team.ru>  Tue, 16 Oct 2007 15:22:39 +0400

python-django-yauth (0.5) unstable; urgency=low

  * Вызов тяжелого ycorba.import_idl только один раз

 -- Ivan Sagalaev <isagalaev@yandex-team.ru>  Wed, 12 Sep 2007 13:42:56 +0400

python-django-yauth (0.4) unstable; urgency=low

  * Использование 127.0.0.1 в случае неизвестного адреса клиента, 0.0.0.0 не подходит

 -- Ivan Sagalaev <isagalaev@yandex-team.ru>  Mon,  3 Sep 2007 20:07:47 +0400

python-django-yauth (0.3) unstable; urgency=low

  * Не реагировать на need_reset при ajax-запросах

 -- Ivan Sagalaev <isagalaev@yandex-team.ru>  Fri, 17 Aug 2007 15:27:47 +0400

python-django-yauth (0.2) unstable; urgency=low

  * Автоматическое создание ссылки на yauser в профайлах при инициализации
    проекта

 -- Andrey Tatarinov <elephantum@yandex-team.ru>  Fri, 10 Aug 2007 20:48:52 +0400

python-django-yauth (0.1) unstable; urgency=low

  * Initial release

 -- Andrey Tatarinov <elephantum@yandex-team.ru>  Thu,  9 Aug 2007 16:46:13 +0400
